<?php
namespace App\Util;

use App\Util\Command;
use App\Util\Printing;

class Printer {

    protected $curl;
    private $util;

    const METHOD_GET  = 'GET';
    const METHOD_POST = 'POST';

    const STATUS_CODE_OK        = 200;
    const STATUS_CODE_NOT_FOUND = 404;
    const CONNECTTIMEOUT = 4;
    const TIMEOUT = 18;
    const HEADER_REQUEST = array('Content-Type: application/json'); 


    public function __construct(\App\Util\Util $util){
        $this->util = $util;
    }

    public function preparePrint(Command $command) {
        return new Printing(null, $command);
    }

    public function getPrinterStatus($printerType) {
        $result = $this->curl->request('printerStatus', array(
            'printerType' => $printerType
        ));

        $result = json_decode($result, true);

        if ($result['error']) {
            throw new \Exception($result['message']);
        }

        return $result;
    }

}